package org.ta.pddserver.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.ta.pdd.entity.TraceObjectEntity;
import org.ta.pddserver.mapper.TraceObjectMapper;
import org.ta.pddserver.service.TraceObjectService;

import java.util.List;

@Service
public class TraceObjectImpl extends ServiceImpl<TraceObjectMapper, TraceObjectEntity> implements TraceObjectService {

    public List<TraceObjectEntity> selectByTrackingNumber(String trackingNumber) {
        List<TraceObjectEntity> list = baseMapper.selectByTrackingNumber(trackingNumber);
        return list;
    }

    public List<TraceObjectEntity> getListByOrderCode(String orderCode) {
        return this.baseMapper.findByTrackOrderNo(orderCode);
    }
}